#include "SceneA.h"

USING_NS_CC;

Scene* SceneA::createScene()
{
    return SceneA::create();
}

bool SceneA::init()
{
    if ( !Scene::init() )
    {
        return false;
    }
    
    auto sprite = Sprite::create("Logo.png");
    sprite->setPosition(512, 384);
    this->addChild(sprite);
    
    scheduleOnce(SEL_SCHEDULE(&SceneA::nextScene), 2);
    
    return true;
}

void SceneA::nextScene(float delta)
{
    auto director = Director::getInstance();
    auto scene = SceneB::createScene();
    director->replaceScene(scene);
}
